Bug 102937 - When using LVM cannot mount snapshots of ext3 filesystems
When using LVM cannot mount snapshots of ext3 filesystems
Status: CLOSED WONTFIX
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
7.3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-22 15:55 EDT by Justin Hahn
Modified: 2007-04-18 12:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:41:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Justin Hahn 2003-08-22 15:55:34 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Macintosh; U; PPC Mac OS X; en-us) AppleWebKit/85 (KHTML, like Gecko) 
Safari/85

Description of problem:
The Redhat kernel is missing the LVM VFS-Lock patch which prevents snapshots of journalled 
filesystems from being mountable. One of the major advantages to LVM is the ability to do 
snapshots (for backups among other things.)

The VFS-Lock patch is well tested and used widely. It is in consideration for 2.4 inclusion (though 
Marcelo may have some objections.)


Version-Release number of selected component (if applicable):
2.4.20-20.7

How reproducible:
Always

Steps to Reproduce:
1. Create an LVM vg
2. Create an LVM pv
3. Create an ext3 fs on said PV
4. Snapshot the PV
5. Try to mount the snapshot

Actual Results:  mount complains the filesystem is in a bad state and cannot be mounted. Since the 
snapshot is r/o at the volume level we're SOL

Expected Results:  file system should mount it without complaint

Additional info:
Comment 1 Bugzilla owner 2004-09-30 11:41:28 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.